MPQC 2.3.1

- Main Page
- Related Pages
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | Protected Attributes
sc::MsgStateBufRecv Class Reference

The MsgStateBufRecv is an abstract base class that buffers objects sent through a MessageGrp. More...

`#include <mstate.h>`

Inheritance diagram for sc::MsgStateBufRecv:

List of all members.

## Public Member Functions

| MsgStateBufRecv (const Ref< MessageGrp > &)
| MsgStateBufRecv can be initialized with a MessageGrp.
| MsgStateBufRecv ()
| Use the default MessageGrp.
void | set_buffer_size (int)
| The buffer size of statein and stateout objects that communicate with each other must match.

## Protected Member Functions

int | get_array_void (void *, int)
virtual void | next_buffer ()=0
| Specializations must implement next_buffer().

## Protected Attributes

Ref< MessageGrp > | grp
int | nbuf
int | ibuf
int | bufsize
char * | buffer
char * | send_buffer
int | nheader
int * | nbuf_buffer

## Detailed Description

The MsgStateBufRecv is an abstract base class that buffers objects sent through a MessageGrp.

## Member Function Documentation

void sc::MsgStateBufRecv::set_buffer_size | ( | int |  | ) |

The buffer size of statein and stateout objects that communicate with each other must match.

The documentation for this class was generated from the following file:

- mstate.h